### Class

# Gimp ThumbnailProcedure

#### Description

    final class Gimp.ThumbnailProcedure : Gimp.Procedure
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GimpProcedure
- GObject

#### Constructors

###### gimp_thumbnail_procedure_new

Creates a new thumbnail procedure named `name` which will call `run_func` when invoked.

since: 3.0

#### Instance methods

##### Methods inherited from GimpProcedure (152)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpThumbnailProcedureClass {
      GimpProcedureClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpProcedureClass`

  No description available.